## Outfile writing structed files

Outfile writing structed files

## Functions

GsfOutput * | gsf_outfile_new_child ()
GsfOutput * | gsf_outfile_new_child_full ()
GsfOutput * | gsf_outfile_new_child_varg ()

## Types and Values

| GsfOutfile

## Object Hierarchy

        GObject
        ╰── GsfOutput
            ╰── GsfOutfile
                ├── GsfOutfileMSOle
                ├── GsfOutfileStdio
                ╰── GsfOutfileZip

## Description

## Functions

### gsf_outfile_new_child ()

    GsfOutput *
    gsf_outfile_new_child (GsfOutfile *outfile,
                           char const *name,
                           gboolean is_dir);

#### Parameters

outfile | A GsfOutfile |
name | The name of the new child to create |
is_dir | `TRUE` to create a directory, `FALSE` to create a plain file |

#### Returns

a newly created child.

[transfer full]

### gsf_outfile_new_child_full ()

    GsfOutput *
    gsf_outfile_new_child_full (GsfOutfile *outfile,
                                char const *name,
                                gboolean is_dir,
                                char const *first_property_name,
                                ...);

#### Parameters

outfile | A GsfOutfile |
name | The name of the new child to create |
is_dir | `TRUE` to create a directory, `FALSE` to create a plain file |

#### Returns

a newly created child.

[transfer full]

### gsf_outfile_new_child_varg ()

    GsfOutput *
    gsf_outfile_new_child_varg (GsfOutfile *outfile,
                                char const *name,
                                gboolean is_dir,
                                char const *first_property_name,
                                va_list args);

#### Parameters

outfile | A GsfOutfile |
name | The name of the new child to create |
is_dir | `TRUE` to create a directory, `FALSE` to create a plain file |

#### Returns

a newly created child.

[transfer full]

## Types and Values

### GsfOutfile

    typedef struct _GsfOutfile GsfOutfile;

Class representing an output file, counterpart to GsfInfile.